Subject: Re: [Din] Draft / Specification of the GNU Name System

From: "Dirk Kutscher" <[email-masked]>
Date: Tue, 08 Dec 2020 21:01:23 +0100

Hi Martin,

> we wanted to check back with you if it makes sense to coordinate next
> week at IETF 109. It seems as if dinrg is not (yet) listed on the
> agenda?
>
> According to the minutes of IETF 108, the next steps would involve
> coordination/deconflicting with DINRG:
> https://codimd.ietf.org/notes-ietf-108-secdispatch#

thanks for bringing this up and apologies for the late reply.

We didn't meet around IETF-109.

This is definitely an interesting topic for DINRG, and we should talk 
about it at an upcoming meetings.

We are currently planning upcoming meetings etc., and we should have a 
more concrete plan for early 2021 activities after new year.

In the meantime, please feel free to use the mailing list as well.

Thanks,
Dirk

>
> Best Regards
> Martin
>
>
> On Sun, 2020-10-18 at 15:13 +0200, Schanzenbach, Martin wrote:
>> Dear DINRG,
>>
>> at IETF 104, we have presented to you our work on the GNU Name System
>> [1].
>> Since then, we have been working on improvements and a technical
>> specification of the system [2].
>> At IETF 108, we appeared at secdispatch in order to discuss if the
>> draft may fit into any existing WG in IETF (or IRTF) [3].
>> We were encouraged to ask DINRG if it would be interested in this
>> work and continue improving and working on it (see minutes of
>> secdispatch). Your charter would certainly support the general theme
>> of the protocol: "The evolution of distributed ledger technologies
>> and the platforms that leverage them has given rise to the
>> development of decentralized communication and infrastructure
>> systems, and experiments with the same. Some examples include name
>> resolution (Namecoin, Ethereum Name Service), identity management
>> (OneName), distributed storage (IPFS, MaidSafe), distributed
>> applications, or DApps (Blockstack), and IP address allocation and
>> delegation."
>>
>> Since our appearance at secdispatch, we have received a lot of
>> feedback from the community and experts. We have taken the time to
>> incorporate the feedback and the result is in the current version of
>> the draft as well as our implementation.
>> As you can see, the draft versions 01 and 02 differ significantly.
>> The two major changes regarding the protocol that we have made are:
>>
>> 1. Improve crypto agility: Allow other zone key types and key
>> derivation schemes and define the required properties.
>> 2. Improve crypto implementation: The used symmetric encryption
>> scheme has been replaced to be more resilient to IND-CCA
>>
>> For (1.) we have drafted an alternative scheme based on Schnorr
>> signatures. This instantiation is still a draft and not implemented.
>> Any feedback here is specifically welcomed and helpful.
>>
>> Finally, we would be happy to appear at the next IETF and discuss
>> whether DINRG would be a place to continue our work with you.
>>
>> Best
>> Martin
>>
>> [1]
>> https://www.ietf.org/proceedings/104/slides/slides-104-dinrg-gnu-name-system-00.pdf
>> [2] https://datatracker.ietf.org/doc/draft-schanzen-gns/
>> [3]
>> https://www.ietf.org/proceedings/108/agenda/agenda-108-secdispatch-02
>
>
> _______________________________________________
> Din mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/din